# 10. Create Admin 'Entry' Error Notification - https://m.musicca.st/json/2/account.move/message_post POST https://graph.facebook.com/json/2/account.move/message_post Content-Type: application/json Reference: https://docs.deao.dev/cloudflare/royalties-payout-workflow/10-create-admin-entry-error-notification-https-m-musicca-st-json-2-account-move-message-post ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: collection version: 1.0.0 paths: /json/2/account.move/message_post: post: operationId: >- 10-create-admin-entry-error-notification-https-m-musicca-st-json-2-account-move-message-post summary: >- 10. Create Admin 'Entry' Error Notification - https://m.musicca.st/json/2/account.move/message_post tags: - subpackage_royaltiesPayoutWorkflow responses: '200': description: Successful response content: application/json: schema: $ref: >- #/components/schemas/Royalties Payout Workflow_10. Create Admin 'Entry' Error Notification - https://m.musicca.st/json/2/account.move/message_post_Response_200 requestBody: content: application/json: schema: type: string servers: - url: https://graph.facebook.com - url: https://www.youtube.com - url: https://youtube-video-summarizer-gpt-ai.p.rapidapi.com - url: https://api.cloudflare.com - url: https://dev-musiccast.odoo.com - url: https://api.search.brave.com - url: https://og-image-generator-dev.deao.workers.dev - url: https://musiccast.odoo.com - url: https://m.musicca.st - url: https://api.stripe.com - url: https://api.kie.ai - url: https://api.pexels.com - url: https://api.shotstack.io - url: https://oauth2.googleapis.com - url: https://www.googleapis.com - url: https://api.linkedin.com - url: https://www.linkedin.com - url: https://rupload.facebook.com - url: https://api.x.com - url: https://open.tiktokapis.com - url: https://open-upload-sg.tiktokapis.com - url: https://social-media-posting-dev.deao.workers.dev components: schemas: Royalties Payout Workflow_10. Create Admin 'Entry' Error Notification - https://m.musicca.st/json/2/account.move/message_post_Response_200: type: object properties: {} description: Empty response body title: >- Royalties Payout Workflow_10. Create Admin 'Entry' Error Notification - https://m.musicca.st/json/2/account.move/message_post_Response_200 ``` ## SDK Code Examples ```python import requests url = "https://graph.facebook.com/json/2/account.move/message_post" payload = "{ \"ids\": [ 2145 // ID of the previous Jurnal Entry found/step 2 or created/step 3 ], \"body\": \"There was a problem with the royalty payoutment request {{reference}} ({{date}}) \\"incoming JSON value\\" from the user (ID: {{id}} \\"value/result from Odoo API/search_read\\", EMAIL: {{email}} \\"incoming JSON value\\").
The known Stripe error is: {{error.message}} \\"value/result 400 from stripe.com/v1/payouts\\"
Current Stripe Connected Account Balance: {{object.available.amount object.available.currency}} \\"value/result 400 from stripe.com/v1/payouts /step 5\\"
Current Stripe Main Balance: {{object.available.amount object.available.currency}} \\"value/result 400 from stripe.com/v1/payouts/ step 9 \\"
Please review this payment request immediately.\", \"subtype_xmlid\": \"mail.mt_comment\", \"partner_ids\": [ 13 // Default Accounting Admin ], \"message_type\": \"comment\", \"author_id\": 2, // default \"body_is_html\": true }" headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://graph.facebook.com/json/2/account.move/message_post'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '"{\n \"ids\": [\n 2145 // ID of the previous Jurnal Entry found/step 2 or created/step 3\n ],\n \"body\": \"There was a problem with the royalty payoutment request {{reference}} ({{date}}) \\\"incoming JSON value\\\" from the user (ID: {{id}} \\\"value/result from Odoo API/search_read\\\", EMAIL: {{email}} \\\"incoming JSON value\\\").
The known Stripe error is: {{error.message}} \\\"value/result 400 from stripe.com/v1/payouts\\\"
Current Stripe Connected Account Balance: {{object.available.amount object.available.currency}} \\\"value/result 400 from stripe.com/v1/payouts /step 5\\\"
Current Stripe Main Balance: {{object.available.amount object.available.currency}} \\\"value/result 400 from stripe.com/v1/payouts/ step 9 \\\"
Please review this payment request immediately.\",\n \"subtype_xmlid\": \"mail.mt_comment\",\n \"partner_ids\": [\n 13 // Default Accounting Admin\n ],\n \"message_type\": \"comment\",\n \"author_id\": 2, // default\n \"body_is_html\": true\n}"' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://graph.facebook.com/json/2/account.move/message_post" payload := strings.NewReader("\"{\\n \\\"ids\\\": [\\n 2145 // ID of the previous Jurnal Entry found/step 2 or created/step 3\\n ],\\n \\\"body\\\": \\\"There was a problem with the royalty payoutment request {{reference}} ({{date}}) \\\\\\\"incoming JSON value\\\\\\\" from the user (ID: {{id}} \\\\\\\"value/result from Odoo API/search_read\\\\\\\", EMAIL: {{email}} \\\\\\\"incoming JSON value\\\\\\\").
The known Stripe error is: {{error.message}} \\\\\\\"value/result 400 from stripe.com/v1/payouts\\\\\\\"
Current Stripe Connected Account Balance: {{object.available.amount object.available.currency}} \\\\\\\"value/result 400 from stripe.com/v1/payouts /step 5\\\\\\\"
Current Stripe Main Balance: {{object.available.amount object.available.currency}} \\\\\\\"value/result 400 from stripe.com/v1/payouts/ step 9 \\\\\\\"
Please review this payment request immediately.\\\",\\n \\\"subtype_xmlid\\\": \\\"mail.mt_comment\\\",\\n \\\"partner_ids\\\": [\\n 13 // Default Accounting Admin\\n ],\\n \\\"message_type\\\": \\\"comment\\\",\\n \\\"author_id\\\": 2, // default\\n \\\"body_is_html\\\": true\\n}\"") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://graph.facebook.com/json/2/account.move/message_post") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "\"{\\n \\\"ids\\\": [\\n 2145 // ID of the previous Jurnal Entry found/step 2 or created/step 3\\n ],\\n \\\"body\\\": \\\"There was a problem with the royalty payoutment request {{reference}} ({{date}}) \\\\\\\"incoming JSON value\\\\\\\" from the user (ID: {{id}} \\\\\\\"value/result from Odoo API/search_read\\\\\\\", EMAIL: {{email}} \\\\\\\"incoming JSON value\\\\\\\").
The known Stripe error is: {{error.message}} \\\\\\\"value/result 400 from stripe.com/v1/payouts\\\\\\\"
Current Stripe Connected Account Balance: {{object.available.amount object.available.currency}} \\\\\\\"value/result 400 from stripe.com/v1/payouts /step 5\\\\\\\"
Current Stripe Main Balance: {{object.available.amount object.available.currency}} \\\\\\\"value/result 400 from stripe.com/v1/payouts/ step 9 \\\\\\\"
Please review this payment request immediately.\\\",\\n \\\"subtype_xmlid\\\": \\\"mail.mt_comment\\\",\\n \\\"partner_ids\\\": [\\n 13 // Default Accounting Admin\\n ],\\n \\\"message_type\\\": \\\"comment\\\",\\n \\\"author_id\\\": 2, // default\\n \\\"body_is_html\\\": true\\n}\"" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://graph.facebook.com/json/2/account.move/message_post") .header("Content-Type", "application/json") .body("\"{\\n \\\"ids\\\": [\\n 2145 // ID of the previous Jurnal Entry found/step 2 or created/step 3\\n ],\\n \\\"body\\\": \\\"There was a problem with the royalty payoutment request {{reference}} ({{date}}) \\\\\\\"incoming JSON value\\\\\\\" from the user (ID: {{id}} \\\\\\\"value/result from Odoo API/search_read\\\\\\\", EMAIL: {{email}} \\\\\\\"incoming JSON value\\\\\\\").
The known Stripe error is: {{error.message}} \\\\\\\"value/result 400 from stripe.com/v1/payouts\\\\\\\"
Current Stripe Connected Account Balance: {{object.available.amount object.available.currency}} \\\\\\\"value/result 400 from stripe.com/v1/payouts /step 5\\\\\\\"
Current Stripe Main Balance: {{object.available.amount object.available.currency}} \\\\\\\"value/result 400 from stripe.com/v1/payouts/ step 9 \\\\\\\"
Please review this payment request immediately.\\\",\\n \\\"subtype_xmlid\\\": \\\"mail.mt_comment\\\",\\n \\\"partner_ids\\\": [\\n 13 // Default Accounting Admin\\n ],\\n \\\"message_type\\\": \\\"comment\\\",\\n \\\"author_id\\\": 2, // default\\n \\\"body_is_html\\\": true\\n}\"") .asString(); ``` ```php request('POST', 'https://graph.facebook.com/json/2/account.move/message_post', [ 'body' => '"{\\n \\"ids\\": [\\n 2145 // ID of the previous Jurnal Entry found/step 2 or created/step 3\\n ],\\n \\"body\\": \\"There was a problem with the royalty payoutment request {{reference}} ({{date}}) \\\\\\"incoming JSON value\\\\\\" from the user (ID: {{id}} \\\\\\"value/result from Odoo API/search_read\\\\\\", EMAIL: {{email}} \\\\\\"incoming JSON value\\\\\\").
The known Stripe error is: {{error.message}} \\\\\\"value/result 400 from stripe.com/v1/payouts\\\\\\"
Current Stripe Connected Account Balance: {{object.available.amount object.available.currency}} \\\\\\"value/result 400 from stripe.com/v1/payouts /step 5\\\\\\"
Current Stripe Main Balance: {{object.available.amount object.available.currency}} \\\\\\"value/result 400 from stripe.com/v1/payouts/ step 9 \\\\\\"
Please review this payment request immediately.\\",\\n \\"subtype_xmlid\\": \\"mail.mt_comment\\",\\n \\"partner_ids\\": [\\n 13 // Default Accounting Admin\\n ],\\n \\"message_type\\": \\"comment\\",\\n \\"author_id\\": 2, // default\\n \\"body_is_html\\": true\\n}"', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://graph.facebook.com/json/2/account.move/message_post"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "\"{\\n \\\"ids\\\": [\\n 2145 // ID of the previous Jurnal Entry found/step 2 or created/step 3\\n ],\\n \\\"body\\\": \\\"There was a problem with the royalty payoutment request {{reference}} ({{date}}) \\\\\\\"incoming JSON value\\\\\\\" from the user (ID: {{id}} \\\\\\\"value/result from Odoo API/search_read\\\\\\\", EMAIL: {{email}} \\\\\\\"incoming JSON value\\\\\\\").
The known Stripe error is: {{error.message}} \\\\\\\"value/result 400 from stripe.com/v1/payouts\\\\\\\"
Current Stripe Connected Account Balance: {{object.available.amount object.available.currency}} \\\\\\\"value/result 400 from stripe.com/v1/payouts /step 5\\\\\\\"
Current Stripe Main Balance: {{object.available.amount object.available.currency}} \\\\\\\"value/result 400 from stripe.com/v1/payouts/ step 9 \\\\\\\"
Please review this payment request immediately.\\\",\\n \\\"subtype_xmlid\\\": \\\"mail.mt_comment\\\",\\n \\\"partner_ids\\\": [\\n 13 // Default Accounting Admin\\n ],\\n \\\"message_type\\\": \\\"comment\\\",\\n \\\"author_id\\\": 2, // default\\n \\\"body_is_html\\\": true\\n}\"", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = "{ \"ids\": [ 2145 // ID of the previous Jurnal Entry found/step 2 or created/step 3 ], \"body\": \"There was a problem with the royalty payoutment request {{reference}} ({{date}}) \\"incoming JSON value\\" from the user (ID: {{id}} \\"value/result from Odoo API/search_read\\", EMAIL: {{email}} \\"incoming JSON value\\").
The known Stripe error is: {{error.message}} \\"value/result 400 from stripe.com/v1/payouts\\"
Current Stripe Connected Account Balance: {{object.available.amount object.available.currency}} \\"value/result 400 from stripe.com/v1/payouts /step 5\\"
Current Stripe Main Balance: {{object.available.amount object.available.currency}} \\"value/result 400 from stripe.com/v1/payouts/ step 9 \\"
Please review this payment request immediately.\", \"subtype_xmlid\": \"mail.mt_comment\", \"partner_ids\": [ 13 // Default Accounting Admin ], \"message_type\": \"comment\", \"author_id\": 2, // default \"body_is_html\": true }" as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://graph.facebook.com/json/2/account.move/message_post")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```